<?php

include_once "phplib/html.php";

html_header("Release Notes");

?>

<h1 align='center'>Release Notes</h1>

<h2><a name='1.44rc3'>1.44rc3 -- Nov 17, 2004</h2></h2>

<ul>

	<li>The makefile incorrectly tried to strip the
	inn2newsd.sh script on installation (<a
	href='str.php?L13'>STR #13</a>)</li>
	<li>The generated date reported the wrong day of the week
	(off by 1 day)
	<li>Added "-t" option to default sendmail command.
	<li>Added "-d" option to run newsd in the foreground with
	full debugging to stderr.
	<li>Added daemonization when running in the background:
	redirect stdio and call setsid().
	<li>Changed default for "Listen" to "Listen nntp".
	<li>Fixed getservbyname() error message.
	<li>Small fixes to echo announcements in news.sh
	<li>Added extra error checking for unknown args + conf
	commands
	<li>You can now log to a program by starting the log file
	name with a pipe ("|" - <a href='str.php?L9'>STR #9</a>)
	<li>Added MaxLogSize to newsd.conf and log rotation stuff
	(<a href='str.php?L9'>STR #9</a>)
	<li>Implemented message lookups by message ID (<a href='str.php?L5'>STR #5</a>)
	<li>The Server class no longer uses the "find" command to
	get a list of newsgroups (<a href='str.php?L2'>STR #2</a>)
	<li>Group::Post() didn't start at the last message, so it
	could reuse deleted message IDs and cause the end ID
	to be incorrect (<a href='str.php?L3'>STR #3</a>).
	<li>Group::BuildInfo() is now implemented so that it is no
	longer neccessary to create the .info file in the
	inn2newsd.sh script (<a href='str.php?L4'>STR #4</a>)

</ul>

<h2><a name='1.44rc2'>1.44rc2 -- Nov 02, 2004</a></h2>

<ul>

	<li>First public release</li>
	<li>Cleaned up MacOS X and Linux startup scripts</li>
	<li>Documentation fixes</li>
	<li>Added pointers to web site</li>
	<li>Newsd now forks into the background</li>
	<li>Now change the ownership of the log files to the
	news user</li>
	<li>"newsd -mailgateway group" now overrides "postok"
	configuration setting</li>
	<li>No longer use strcpy() with overlapping buffers</li>
	<li>Added inn2newsd.sh script for converting INND news
	servers to Newsd</li>

</ul>

<h2><a name='1.44rc1'>1.44rc1 -- Jul 11, 2004 </a></h2>

<ul>

	<li>Now provide autoconf-based configure script for
	building and installing.
	<li>Now provide init-style startup/shutdown script.
	<li>Added spam filter support.
	<li>Added global configuration file newsd.conf and man
	pages.
	<li>Added new Configuration class to support logging to
	stderr, syslog, or a file, along with loading
	newsd.conf.
	<li>Added support for non-root execution.
	<li>Fixed end-of-message state machine code.
	<li>Removed dependence on iostream

</ul>

<h2><a name='1.43'>1.43 -- Jun 01, 2004</a></h2>

<ul>

	<li>Preserve Content-Type and Mime-Version: across to
	email gateway, to ensure mime attachments cross over
	to the mail gateway correctly.
	<li>added newsd command line option -port

</ul>

<h2><a name='1.42'>1.42 -- May 24, 2004</a></h2>

<ul>

	<li>Check for X-Loop: and deliver to Errors-To: in case
	remote bounces message back to sender, ie. doesn't
	respect "Errors-To:" !
	<li>Added 'DeadLetter()'
	<li>Added 'X-Newsd-Loop:' header to avoid mail loops when
	delivering errors

</ul>

<h2><a name='1.41'>1.41 -- Sep 01, 2003</a></h2>

<ul>

	<li>Removed 3dsite specific code (hard coded hostnames!)
	<li>Moved static functions from newsd.C into the Group
	class to 'clean up' code.

</ul>

<h2><a name='1.40'>1.40 -- Aug 07, 2003</a></h2>

<ul>

	<li>Changed 'ccpost' to allow multiple lines, for
	unlimited names
	<li>Fixed problem where Message-Id casing (ID vs Id) was
	causing two Message-IDs to be in messages.
	<li>Enabled ARTICLE <msgid>, HEAD <msgid> etc, so that ^U
	would work in mozilla to view message header text.

</ul>

<h2><a name='1.30'>1.30 -- June 02, 2003</a></h2>

<ul>

	<li>Added GCC3 flag to handle the new 'using namespace
	std;' stuff.
	<li>Added platform specific Makefiles
	<li>Tested compiles on Redhat 9.0, OSX 10.2.6, and BSDI
	3.1

</ul>

<h2><a name='1.20'>1.20 -- May 09, 2003</a></h2>

<ul>

	<li>Changed outbound email to use Bcc instead of To
	<li>Added version to gatewayed mail and -help
	<li>Added -mailgateway, modified docs
	<li>Added "replyto" and "voidemail" to .config file and
	'newsd -newgroup'
	<li>Removed extraneous .config parsing code from .info's
	parser
	<li>Moved ReformatArticle from Server -> Group class

</ul>

<h2><a name='1.10'>1.10 -- Jan 08, 2003</a></h2>

<ul>

	<li>Added DATE, -t timeout, -c maxchild, -d

</ul>

<h2><a name='1.00'>1.00 -- Jan 02, 2003</a></h2>

<ul>

	<li>First release -- merry xmas 2003!

</ul>

<?

html_footer();

?>
